<?php

require_once(__DIR__.'/../interface/permissions_interface.php');

class Op5MayIWrapper implements PermissionsInterface {

	private $parent;

	public function __construct(){
		$this->parent = op5mayi::instance();
	}

	public function be($context, op5MayI_Actor $actor) {
		return $this->parent->be($context, $actor);
	}

	public function act_upon(op5MayI_Constraints $constraints, $priority = 0) {
		return $this->parent->act_upon($constraints, $priority);
	}

	public function run($action, array $override = array(), &$messages = false, &$metrics = false) {
		return $this->parent->run($action, $override, $messages, $metrics);
	}
}
