<?php

require_once(__DIR__.'/../interface/logger_interface.php');

class Op5LogWrapper implements LoggerInterface {

	private $logger;

	/* 
	 * @param op5LogAccess $logger an instance of op5LogAccess
	 */
	public function __construct(op5LogAccess $logger) {
		$this->logger = $logger;
	}


	public function log($debug_level, $content) {
		$this->logger->log($debug_level, $content);
	}

}
